org.apache.sysds.runtime.compress.colgroup.mapping

## Class MapToBit

- java.lang.Object
- - org.apache.sysds.runtime.compress.colgroup.mapping.AMapToData
  - - org.apache.sysds.runtime.compress.colgroup.mapping.MapToBit

-     public class MapToBit
      extends AMapToData

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MapToBit(int size)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `fill(int v)`
    `long` | `getExactSizeOnDisk()`
    `int` | `getIndex(int n)`
    `long` | `getInMemorySize()`
    `static long` | `getInMemorySize(int dataLength)`
    `static MapToBit` | `readFields(DataInput in)`
    `void` | `set(int n, int v)`
    `int` | `size()`
    `void` | `write(DataOutput out)`

    - ### Methods inherited from class org.apache.sysds.runtime.compress.colgroup.mapping.AMapToData

      `toString`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### MapToBit

          public MapToBit(int size)

  - ### Method Detail

    - #### getIndex

          public int getIndex(int n)

      Specified by:
        `getIndex` in class `AMapToData`

    - #### fill

          public void fill(int v)

      Specified by:
        `fill` in class `AMapToData`

    - #### getInMemorySize

          public long getInMemorySize()

      Specified by:
        `getInMemorySize` in class `AMapToData`

    - #### getInMemorySize

          public static long getInMemorySize(int dataLength)

    - #### getExactSizeOnDisk

          public long getExactSizeOnDisk()

      Specified by:
        `getExactSizeOnDisk` in class `AMapToData`

    - #### set

          public void set(int n,
                          int v)

      Specified by:
        `set` in class `AMapToData`

    - #### size

          public int size()

      Specified by:
        `size` in class `AMapToData`

    - #### write

          public void write(DataOutput out)
                     throws IOException

      Specified by:
        `write` in class `AMapToData`
      Throws:
        `IOException`

    - #### readFields

          public static MapToBit readFields(DataInput in)
                                     throws IOException

      Throws:
        `IOException`

Copyright © 2021 The Apache Software Foundation. All rights reserved.